Loading...
Searching...
No Matches
sce_session Struct Reference
Collaboration diagram for sce_session:
[legend]

## Public Member Functions

OSCAP_API struct sce_session * | sce_session_new (void)
OSCAP_API void | sce_session_free (struct sce_session *s)
OSCAP_API void | sce_session_reset (struct sce_session *s)
| Removes all check results from the session.
OSCAP_API void | sce_session_add_check_result (struct sce_session *s, struct sce_check_result *result)
| Adds a check result to the session.
OSCAP_API void | sce_session_export_to_directory (struct sce_session *s, const char *directory)
| Exports all check results to given directory.

## Data Fields

struct oscap_list * | results

## Member Function Documentation

## sce_session_add_check_result()

OSCAP_API void sce_session_add_check_result | ( | struct sce_session * | s,
|  | struct sce_check_result * | result )

Adds a check result to the session.

Parameters

  s | session to add the check result to
  result | result to be added (the session takes ownership of it, don't deallocate it!)

The documentation for this struct was generated from the following files:

- sce_engine.c
- sce_engine_api.h